My Account
× My Account Media Forum Supporter Packs

Last Epoch Forums

System requirement?


#1

Hi guys. I just bought this game and downloading it right now. My computer is kind of outdated.

Can my Window 10, 64-bits, Intel Core i3-4160 CPU 3.60 GHz, GeForce GTS 450 run this game okay? I don’t need the fanciest graphic but I need it not lag as bad as when I play another game that’s in beta now (Wolcen). That game requires higher system and I don’t have it.


#2

That system doesn’t seem to meet our current system recommendations. Please reach out to [email protected] if you encounter any issues and we’ll be happy to help.


#3

Oh no. But can it still run okay? I hope so. I am looking forward to test this game. I like the class systems so far. Going to try Beastmaster if it’s available.

Wow and thanks for the super fast reply!!!


#4

It is available! :slight_smile:

I’ve only personally tested the game on a single system so far. What I’d say is to try out the game - you would need to lower the settings - and if there’s any issues, just let us know.


#5

OH no!!! I paid $10 thinking that’s a Supporter pack. I don’t have access to Alpha. :frowning: I didn’t choose the $50 one. darn it!!! ugh… any way to upgrade that? Or ? I don’t see the point of having $10 option if it doesn’t allow people to try Alpha. :frowning:


#6

We can arrange either a refund or an upgrade if you contact [email protected]. It’s our policy not to discuss payment-related issues over the forum, hope you understand. :slight_smile:


#7

Ok. I will email for upgrade.

Question. How playable is Alpha right now? I see there are quite a few subclasses. All of them are ready for testing or just a few?

Is this game close to Beta now? By the way, you reply so fast! so awesome.


#8

The following classes are available;

  • Acolyte
    • Lich
    • Necromancer
  • Knight
    • Sentinel
    • Void Knight
  • Mage
    • Sorcerer
    • Spellbalde
  • Primalist
    • Beastmaster
    • Shaman

#9

Thanks. I just emailed the support team about upgrading.


#10

I got a ASUS Radeon hd 6970 2g vram videocard, i7 2600k and 16g ram, i play Grim Dawn at 1440p at high graphic no problem But in Last Epoch i am ok until i am in town then i drop at 6-8 fps and now in act 2 it’s terrible all the time even at low graphic and i am at 1080p. What videocard do you need to run this game? i am looking at a gtx 1070 will it be ok at launch?


#11

We’re improving performance over time, so you should see improvement on your current card in future updates. A GTX 1070 will be plenty to play the game.


#12

I have no issues playing with my GTX 1050 Ti and I run i7 920 with 16gb pc DDR3


#13

I can run many game that are more demanding in term of graphic it’s not normal that i cannot play this one, i can’t even play at very low. If i put the graphic at low or very high i get same lag. Some area i play with 0 lag at very high graphic 32fps stable and i move to another area like the forest and i drop to 6/8 fps and those zone stay at 6-8 fps even if i drop to very low graphic.


#14

If you have Advanced Grass enabled, could you see if disabling it helps?


#15

I have a 750gs 8gb ram and play Grim Dawn/Path of Exile at max with no fps issues, but yes in this game the fps drop like hell (some areas 5/7 fps). i have low quality with everything turn off mostly. and the fps are pretty damn low, turning grass quality off helps a lot but still…

alpha anyways…


#16

The advanced Grass was already off. I did some testing, It doesn’t matter what i do with the graphic control. There are places i can play and others i can’t, if i go in The Last Archive or Upper district i play at 60fps + at very low with all at off and at 25-32 fps at ultra with all on, it’s very playable BUT if i go to The lower Archive or The concil chambers it dosen’t matter if i am at very low with all off or at ultra with all on i am at 6 to 12 fps, mostly 8fps.


#17

This topic was automatically closed 60 days after the last reply. New replies are no longer allowed.